org.scalatest.events

# SuiteStarting

#### object SuiteStarting extends Serializable

Companion object for the `SuiteStarting` event, which contains overloaded factory methods and an extractor method to facilitate pattern matching on `SuiteStarting` objects.

All factory methods throw `NullPointerException` if any of the passed values are `null`.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. SuiteStarting
2. Serializable
3. Serializable
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply (ordinal: Ordinal, suiteName: String, suiteClassName: Option[String]): SuiteStarting

   Constructs a new `SuiteStarting` event with the passed parameters, passing `None` for `formatter`, `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `SuiteStarting` event with the passed parameters, passing `None` for `formatter`, `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   suiteName

     a localized name identifying the suite that is starting, which should include the suite name, suitable for presenting to the user

   suiteClassName

     an optional fully qualifed `Suite` class name of the suite that is starting

   returns

     a new `SuiteStarting` instance initialized with the passed and default values

7. #### def apply (ordinal: Ordinal, suiteName: String, suiteClassName: Option[String], formatter: Option[Formatter]): SuiteStarting

   Constructs a new `SuiteStarting` event with the passed parameters, passing `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `SuiteStarting` event with the passed parameters, passing `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   suiteName

     a localized name identifying the suite that is starting, which should include the suite name, suitable for presenting to the user

   suiteClassName

     an optional fully qualifed `Suite` class name of the suite that is starting

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   returns

     a new `SuiteStarting` instance initialized with the passed and default values

8. #### def apply (ordinal: Ordinal, suiteName: String, suiteClassName: Option[String], formatter: Option[Formatter], rerunner: Option[Rerunner]): SuiteStarting

   Constructs a new `SuiteStarting` event with the passed parameters, passing `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `SuiteStarting` event with the passed parameters, passing `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   suiteName

     a localized name identifying the suite that is starting, which should include the suite name, suitable for presenting to the user

   suiteClassName

     an optional fully qualifed `Suite` class name of the suite that is starting

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   rerunner

     an optional `Rerunner` that can be used to rerun the suite that is starting (if `None` is passed, the suite cannot be rerun)

   returns

     a new `SuiteStarting` instance initialized with the passed and default values

9. #### def apply (ordinal: Ordinal, suiteName: String, suiteClassName: Option[String], formatter: Option[Formatter], rerunner: Option[Rerunner], payload: Option[Any]): SuiteStarting

   Constructs a new `SuiteStarting` event with the passed parameters, passing the current thread's name as `threadname` and the current time as `timeStamp`.

   Constructs a new `SuiteStarting` event with the passed parameters, passing the current thread's name as `threadname` and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   suiteName

     a localized name identifying the suite that is starting, which should include the suite name, suitable for presenting to the user

   suiteClassName

     an optional fully qualifed `Suite` class name of the suite that is starting

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   rerunner

     an optional `Rerunner` that can be used to rerun the suite that is starting (if `None` is passed, the suite cannot be rerun)

   payload

     an optional object that can be used to pass custom information to the reporter about the `SuiteStarting` event

   returns

     a new `SuiteStarting` instance initialized with the passed and default values

10. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

11. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

15. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

17. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def readResolve (): AnyRef

    Attributes
      protected

22. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def toString (): String

    Definition Classes
      AnyRef → Any

24. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any